﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 이미지 바이트 배열 - ImageByteArray

    /// <summary>
    /// 이미지 바이트 배열
    /// </summary>
    public byte[] ImageByteArray { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        using Stream sourceStream = FileSystem.Current.OpenAppPackageFileAsync("sample.png").Result;

        using MemoryStream targetStream = new MemoryStream();

        sourceStream.CopyTo(targetStream);

        ImageByteArray = targetStream.ToArray();

        BindingContext = this;
    }

    #endregion
}